## csync-owncloud 0.50.8

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,11 +8,11 @@
 
 set(APPLICATION_VERSION_MAJOR "0")
 set(APPLICATION_VERSION_MINOR "50")
-set(APPLICATION_VERSION_PATCH "7")
+set(APPLICATION_VERSION_PATCH "8")
 
 set(APPLICATION_VERSION "${APPLICATION_VERSION_MAJOR}.${APPLICATION_VERSION_MINOR}.${APPLICATION_VERSION_PATCH}")
 
-set(LIBRARY_VERSION "0.1.7")
+set(LIBRARY_VERSION "0.1.8")
 set(LIBRARY_SOVERSION "0")
 
 # where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
@@ -46,6 +46,10 @@
 
 include(ConfigureChecks.cmake)
 configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h)
+
+set(SOURCE_DIR ${CMAKE_SOURCE_DIR})
+configure_file(config_test.h.cmake  ${CMAKE_CURRENT_BINARY_DIR}/config_test.h)
+
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 macro_copy_file(${CMAKE_CURRENT_SOURCE_DIR}/CTestCustom.cmake ${CMAKE_CURRENT_BINARY_DIR}/CTestCustom.cmake)
@@ -61,8 +65,10 @@
 add_subdirectory(doc)
 
 find_package(Check)
-if (CHECK_FOUND AND UNIT_TESTING)
+if (CHECK_FOUND)
   include(MacroAddCheckTest)
+endif (CHECK_FOUND)
+if (UNIT_TESTING)
   add_subdirectory(tests)
-endif (CHECK_FOUND AND UNIT_TESTING)
+endif(UNIT_TESTING)
