=== src/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,11 @@
 
 find_package(SQLite3 REQUIRED)
 find_package(Iniparser REQUIRED)
+if(CMAKE_CROSSCOMPILING)
+    find_package(OpenSSLCross REQUIRED)
+else()
+    find_package(OpenSSL REQUIRED)
+endif()
 
 set(CSYNC_PUBLIC_INCLUDE_DIRS
   ${CMAKE_CURRENT_SOURCE_DIR}
@@ -12,6 +17,7 @@
 )
 
 set(CSYNC_PRIVATE_INCLUDE_DIRS
+  ${OPENSSL_INCLUDE_DIRS}
   ${INIPARSER_INCLUDE_DIRS}
   ${SQLITE3_INCLUDE_DIRS}
   ${CSTDLIB_PUBLIC_INCLUDE_DIRS}
@@ -28,7 +34,7 @@
   ${CSTDLIB_LIBRARY}
   ${CSYNC_REQUIRED_LIBRARIES}
   ${INIPARSER_LIBRARIES}
-
+  ${OPENSSL_LIBRARIES}
   ${SQLITE3_LIBRARIES}
 )
