=== debian/control ===
Source: csync-owncloud
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Müller <thomas.mueller@tmit.eu>
Build-Depends: debhelper (>= 9), cmake, libsqlite3-dev, libneon27-gnutls-dev, libssh-dev, libsmbclient-dev, check, libmhash-dev
Standards-Version: 3.9.3
Homepage: http://owncloud.org/dev/sync-clients/linux-build/

Package: csync-owncloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsync0 (= ${binary:Version})
Description: user level bidirectional client only file synchronizer
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: libcsync-plugin-smb, libcsync-plugin-sftp
Description: library for user level bidirectional client only file synchronizer
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync-plugin-smb
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsync0 (= ${binary:Version})
Description: SMB plugin for csync
 This plug-in allows applications using csync to synchronize with a
 Samba or Windows server.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync-plugin-sftp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsync0 (= ${binary:Version})
Description: SFTP plugin for csync
 This plug-in allows applications using csync to synchronize with an
 SFTP server.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync-plugin-owncloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libcsync0 (= ${binary:Version})
Description: OwnCloud plugin for csync
 This plug-in allows applications using csync to synchronize with an
 OwnCloud server.
 .
 This is the version of csync used by OwnCloud.

Package: libcsync-dev
Architecture: any
Section: libdevel
Depends: libcsync0 (= ${binary:Version}), ${misc:Depends}
Description: library for user level bidirectional client only file synchronizer
 csync is an implementation of a file synchronizer which provides the
 feature of roaming home directories for Linux clients.
 .
 This is the version of csync used by OwnCloud.
 .
 This package contains the library development files.
