=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- -DCMAKE_BUILD_TYPE=RelWithDebInfo -DWITH_LOG4C=OFF \
		-DLOG_TO_CALLBACK=ON -DSYSCONF_INSTALL_DIR=/etc

override_dh_install:
	dh_install --fail-missing
